[supervisord]
nodaemon                 = true
user                     = root
logfile                  = /tmp/supervisord.log
pidfile                  = /tmp/supervisord.pid
stdout_maxbytes          = 0
stderr_maxbytes          = 0
stderr_logfile_maxbytes  = 0
stdout_logfile_maxbytes  = 0
stdout_logfile           = /dev/stdout
stderr_logfile           = /dev/stderr

[program:cron]
command                  = /usr/sbin/crond -f
autorestart              = true
stdout_maxbytes          = 0
stderr_maxbytes          = 0
stderr_logfile_maxbytes  = 0
stdout_logfile_maxbytes  = 0
stdout_logfile           = /dev/stdout
stderr_logfile           = /dev/stderr

[program:worker]
command                  = php /var/www/artisan queue:work --sleep=3 --tries=3 --timeout=120 --daemon
process_name             = %(program_name)s_%(process_num)02d
numprocs                 = 2
autostart                = true
autorestart              = true
redirect_stderr          = true
redirect_stdout          = true
stdout_maxbytes          = 0
stderr_maxbytes          = 0
stderr_logfile_maxbytes  = 0
stdout_logfile_maxbytes  = 0
stdout_logfile           = /dev/stdout
stderr_logfile           = /dev/stderr

[program:laravel-octane]
command                  = php /var/www/artisan octane:start --host=0.0.0.0 --max-requests=500
autostart                = true
autorestart              = true
redirect_stderr          = true
redirect_stdout          = true
stdout_maxbytes          = 0
stderr_maxbytes          = 0
stderr_logfile_maxbytes  = 0
stdout_logfile_maxbytes  = 0
stdout_logfile           = /dev/stdout
stderr_logfile           = /dev/stderr
